package domain


type AlibabaWdkWholesaleOrderCommitOrderCommitReq struct {
    /*
        商品列表     */
    ItemConfirmInfos  *[]AlibabaWdkWholesaleOrderCommitItemConfirmInfo `json:"item_confirm_infos,omitempty" `

    /*
        订单号     */
    ExternalOrderNo  *string `json:"external_order_no,omitempty" `

    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

}

func (s *AlibabaWdkWholesaleOrderCommitOrderCommitReq) SetItemConfirmInfos(v []AlibabaWdkWholesaleOrderCommitItemConfirmInfo) *AlibabaWdkWholesaleOrderCommitOrderCommitReq {
    s.ItemConfirmInfos = &v
    return s
}
func (s *AlibabaWdkWholesaleOrderCommitOrderCommitReq) SetExternalOrderNo(v string) *AlibabaWdkWholesaleOrderCommitOrderCommitReq {
    s.ExternalOrderNo = &v
    return s
}
func (s *AlibabaWdkWholesaleOrderCommitOrderCommitReq) SetMerchantCode(v string) *AlibabaWdkWholesaleOrderCommitOrderCommitReq {
    s.MerchantCode = &v
    return s
}
